Last Comment Bug 659576 - bool nsGlobalWindow::ConfirmDialogAllowed() returns nsresult
: bool nsGlobalWindow::ConfirmDialogAllowed() returns nsresult
Status: RESOLVED FIXED
[good first bug] [mentor=jdm]
: regression
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla9
Assigned To: James Hobin [:hobinjk]
:
Mentors:
Depends on:
Blocks: 580128
  Show dependency treegraph
 
Reported: 2011-05-25 00:43 PDT by Masayuki Nakano [:masayuki] (Mozilla Japan)
Modified: 2011-09-15 07:31 PDT (History)
4 users (show)
emorley: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch to fix FORWARD_TO_OUTER potentially returning anything but false (396 bytes, patch)
2011-09-11 07:59 PDT, James Hobin [:hobinjk]
jst: review+
Details | Diff | Review

Description Masayuki Nakano [:masayuki] (Mozilla Japan) 2011-05-25 00:43:06 PDT
bool nsGlobalWindow::ConfirmDialogAllowed() returns NS_ERROR_NOT_INITIALIZED.

See the FORWARD_TO_OUTER macro.

This regressed by:
http://hg.mozilla.org/mozilla-central/rev/02ad9fd3361c
Comment 1 Josh Matthews [:jdm] 2011-08-26 13:51:05 PDT
jst, I'm sure you don't mind if someone else takes this off your hands.
Comment 2 James Hobin [:hobinjk] 2011-09-11 07:59:25 PDT
Created attachment 559766 [details] [diff] [review]
Patch to fix FORWARD_TO_OUTER potentially returning anything but false

This is the first patch I've submitted, so hopefully it's anywhere near correct.
Comment 3 Josh Matthews [:jdm] 2011-09-11 18:35:50 PDT
Comment on attachment 559766 [details] [diff] [review]
Patch to fix FORWARD_TO_OUTER potentially returning anything but false

Thanks for the patch James! For future reference, if you could follow the instructions at https://developer.mozilla.org/en/Mercurial_FAQ#How_can_I_generate_a_patch_for_somebody_else_to_check-in_for_me.3F when creating patches, that will make it easier to check them in. I'm going to let an official peer of this code review it.
Comment 4 Johnny Stenback (:jst, jst@mozilla.com) 2011-09-13 23:40:06 PDT
Comment on attachment 559766 [details] [diff] [review]
Patch to fix FORWARD_TO_OUTER potentially returning anything but false

Thanks for the patch! r=jst
Comment 5 Ed Morley [:emorley] 2011-09-14 06:15:30 PDT
In my queue, which needs to go to try server for some of the other items in it, but will land on mozilla-inbound afterwards. Thanks for the patch James :-)

https://tbpl.mozilla.org/?tree=Try&usebuildbot=1&rev=f0f350512b05
Comment 6 Ed Morley [:emorley] 2011-09-14 08:36:35 PDT
Pushed to inbound:
https://hg.mozilla.org/integration/mozilla-inbound/rev/4f315828a0aa

Within the next day or so this will then be merged to mozilla-central :-)
Comment 7 :Ehsan Akhgari (out sick) 2011-09-15 07:31:07 PDT
https://hg.mozilla.org/mozilla-central/rev/4f315828a0aa

Thanks a lot James for your patch!  Hope to see you around more often.  :-)

Note You need to log in before you can comment on or make changes to this bug.